Package com.fasterxml.jackson.datatype.joda.ser

## Class JodaDateSerializerBase<T>

- java.lang.Object
- - com.fasterxml.jackson.databind.JsonSerializer<T>
  - - com.fasterxml.jackson.databind.ser.std.StdSerializer<T>
    - - com.fasterxml.jackson.datatype.joda.ser.JodaDateSerializerBase<T>

All Implemented Interfaces:
  `com.fasterxml.jackson.databind.jsonFormatVisitors.JsonFormatVisitable`, `com.fasterxml.jackson.databind.jsonschema.SchemaAware`, `com.fasterxml.jackson.databind.ser.ContextualSerializer`, `java.io.Serializable`

Direct Known Subclasses:
  `DateMidnightSerializer`, `DateTimeSerializer`, `DurationSerializer`, `InstantSerializer`, `IntervalSerializer`, `LocalDateSerializer`, `LocalDateTimeSerializer`, `LocalTimeSerializer`, `MonthDaySerializer`, `YearMonthSerializer`

    public abstract class JodaDateSerializerBase<T>
    extends com.fasterxml.jackson.databind.ser.std.StdSerializer<T>
    implements com.fasterxml.jackson.databind.ser.ContextualSerializer

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.JsonSerializer

`com.fasterxml.jackson.databind.JsonSerializer.None`

### Field Summary

Fields
`protected int` `_defaultNumericShape` Shape to use for generic "use numeric" feature (instead of more specific JsonFormat.shape).
`protected com.fasterxml.jackson.databind.SerializationFeature` `_featureForNumeric`
`protected JacksonJodaDateFormat` `_format`
`protected int` `_shapeOverride` Marker set to non-0 if (and only if) property or type override exists.
`protected static int` `FORMAT_ARRAY`
`protected static int` `FORMAT_STRING`
`protected static int` `FORMAT_TIMESTAMP`

### Fields inherited from class com.fasterxml.jackson.databind.ser.std.StdSerializer

`_handledType`

### Constructor Summary

Constructors
`protected` `JodaDateSerializerBase​(java.lang.Class<T> type, JacksonJodaDateFormat format, com.fasterxml.jackson.databind.SerializationFeature numericFeature, int defaultNumericShape, int shapeOverride)`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`protected int` `_serializationShape​(com.fasterxml.jackson.databind.SerializerProvider provider)`
`void` `acceptJsonFormatVisitor​(com.fasterxml.jackson.databind.jsonFormatVisitors.JsonFormatVisitorWrapper visitor, com.fasterxml.jackson.databind.JavaType typeHint)`
`com.fasterxml.jackson.databind.JsonSerializer<?>` `createContextual​(com.fasterxml.jackson.databind.SerializerProvider prov, com.fasterxml.jackson.databind.BeanProperty property)`
`com.fasterxml.jackson.databind.JsonNode` `getSchema​(com.fasterxml.jackson.databind.SerializerProvider provider, java.lang.reflect.Type typeHint)`
`boolean` `isEmpty​(com.fasterxml.jackson.databind.SerializerProvider prov, T value)`
`void` `serializeWithType​(T value, com.fasterxml.jackson.core.JsonGenerator g, com.fasterxml.jackson.databind.SerializerProvider provider, com.fasterxml.jackson.databind.jsontype.TypeSerializer typeSer)`
`abstract JodaDateSerializerBase<T>` `withFormat​(JacksonJodaDateFormat format, int shapeOverride)`
`protected boolean` `writeWithZoneId​(com.fasterxml.jackson.databind.SerializerProvider provider)`

### Methods inherited from class com.fasterxml.jackson.databind.ser.std.StdSerializer

`_neitherNull, _nonEmpty, createSchemaNode, createSchemaNode, findAnnotatedContentSerializer, findContextualConvertingSerializer, findConvertingContentSerializer, findFormatFeature, findFormatOverrides, findIncludeOverrides, findPropertyFilter, getSchema, handledType, isDefaultSerializer, serialize, visitArrayFormat, visitArrayFormat, visitFloatFormat, visitIntFormat, visitIntFormat, visitStringFormat, visitStringFormat, wrapAndThrow, wrapAndThrow`

### Methods inherited from class com.fasterxml.jackson.databind.JsonSerializer

`getDelegatee, isEmpty, isUnwrappingSerializer, properties, replaceDelegatee, unwrappingSerializer, usesObjectId, withFilterId`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### FORMAT_STRING

    protected static final int FORMAT_STRING

See Also:
  Constant Field Values

#### FORMAT_TIMESTAMP

    protected static final int FORMAT_TIMESTAMP

See Also:
  Constant Field Values

#### FORMAT_ARRAY

    protected static final int FORMAT_ARRAY

See Also:
  Constant Field Values

#### _format

    protected final JacksonJodaDateFormat _format

#### _featureForNumeric

    protected final com.fasterxml.jackson.databind.SerializationFeature _featureForNumeric

#### _defaultNumericShape

    protected final int _defaultNumericShape

Shape to use for generic "use numeric" feature (instead of more specific JsonFormat.shape).

Since:
  2.9

#### _shapeOverride

    protected final int _shapeOverride

Marker set to non-0 if (and only if) property or type override exists.

Since:
  2.9

### Constructor Detail

#### JodaDateSerializerBase

    protected JodaDateSerializerBase​(java.lang.Class<T> type,
                                     JacksonJodaDateFormat format,
                                     com.fasterxml.jackson.databind.SerializationFeature numericFeature,
                                     int defaultNumericShape,
                                     int shapeOverride)

### Method Detail

#### withFormat

    public abstract JodaDateSerializerBase<T> withFormat​(JacksonJodaDateFormat format,
                                                         int shapeOverride)

Since:
  2.9

#### isEmpty

    public boolean isEmpty​(com.fasterxml.jackson.databind.SerializerProvider prov,
                           T value)

Overrides:
  `isEmpty` in class `com.fasterxml.jackson.databind.JsonSerializer<T>`

#### createContextual

    public com.fasterxml.jackson.databind.JsonSerializer<?> createContextual​(com.fasterxml.jackson.databind.SerializerProvider prov,
                                                                             com.fasterxml.jackson.databind.BeanProperty property)
                                                                      throws com.fasterxml.jackson.databind.JsonMappingException

Specified by:
  `createContextual` in interface `com.fasterxml.jackson.databind.ser.ContextualSerializer`
Throws:
  `com.fasterxml.jackson.databind.JsonMappingException`

#### getSchema

    public com.fasterxml.jackson.databind.JsonNode getSchema​(com.fasterxml.jackson.databind.SerializerProvider provider,
                                                             java.lang.reflect.Type typeHint)

Specified by:
  `getSchema` in interface `com.fasterxml.jackson.databind.jsonschema.SchemaAware`
Overrides:
  `getSchema` in class `com.fasterxml.jackson.databind.ser.std.StdSerializer<T>`

#### acceptJsonFormatVisitor

    public void acceptJsonFormatVisitor​(com.fasterxml.jackson.databind.jsonFormatVisitors.JsonFormatVisitorWrapper visitor,
                                        com.fasterxml.jackson.databind.JavaType typeHint)
                                 throws com.fasterxml.jackson.databind.JsonMappingException

Specified by:
  `acceptJsonFormatVisitor` in interface `com.fasterxml.jackson.databind.jsonFormatVisitors.JsonFormatVisitable`
Overrides:
  `acceptJsonFormatVisitor` in class `com.fasterxml.jackson.databind.ser.std.StdSerializer<T>`
Throws:
  `com.fasterxml.jackson.databind.JsonMappingException`

#### writeWithZoneId

    protected boolean writeWithZoneId​(com.fasterxml.jackson.databind.SerializerProvider provider)

Since:
  2.8

#### _serializationShape

    protected int _serializationShape​(com.fasterxml.jackson.databind.SerializerProvider provider)

Since:
  2.9

#### serializeWithType

    public void serializeWithType​(T value,
                                  com.fasterxml.jackson.core.JsonGenerator g,
                                  com.fasterxml.jackson.databind.SerializerProvider provider,
                                  com.fasterxml.jackson.databind.jsontype.TypeSerializer typeSer)
                           throws java.io.IOException

Overrides:
  `serializeWithType` in class `com.fasterxml.jackson.databind.JsonSerializer<T>`
Throws:
  `java.io.IOException`